Subject: Implement Selenium tests for the backend
Description

Associated revisions
Revision 250009a3 - 2011-06-08 09:58 - Sebastian Kurfuerst

[+FEATURE] First real selenium tests for the Phoenix backend

They work in Firefox and in Chrome so far.

Tests the following:

    -  Breadcrumb Menu behavior
    -  Page Properties Dialog (including Updates of Page Title)
    -  Move Page Dialog (really moving pages)
    -  Create Page Dialog (Creating pages, validation errors)
    -  Delete Page
    -  Enter and leave Editing Mode

Sometimes, the "Create Page" tests fail because of a wrong ordering
of nodes. However, this is a bug in TYPO3CR which needs to be fixed,
and the tests themselves are correct.
Needed changes for the tests to run successfully:
    -  Iabd7d9c127b16ba921327a1a58f8d5b449ba622c
    -  I964077e090dbb180b8cd3ee57ddac84dd46fae61
    -  Id5afccb68470fd74b376c1a76d32496787f11b5b

Resolves: #27129
Change-Id: I9e25f0aef906c4730bfd5fd5c5ccb45c7462127c

History
#1 - 2011-05-30 07:57 - Mr. Hudson

Patch set 4 of change I9e25f0aef906c4730bfd5fd5c5ccb45c7462127c has been pushed to the review server.
It is available at http://review.typo3.org/2414

#2 - 2011-05-30 08:03 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#3 - 2011-05-30 14:31 - Mr. Hudson

Patch set 5 of change I9e25f0aef906c4730bfd5fd5c5ccb45c7462127c has been pushed to the review server.
It is available at http://review.typo3.org/2414
#4 - 2011-05-30 16:43 - Mr. Hudson

Patch set 6 of change I9e25f0aef906c4730bfd5fd5c5ccb45c7462127c has been pushed to the review server.
It is available at http://review.typo3.org/2414

#5 - 2011-05-31 08:07 - Mr. Hudson

Patch set 7 of change I9e25f0aef906c4730bfd5fd5c5ccb45c7462127c has been pushed to the review server.
It is available at http://review.typo3.org/2414

#6 - 2011-05-31 10:53 - Mr. Hudson

Patch set 8 of change I9e25f0aef906c4730bfd5fd5c5ccb45c7462127c has been pushed to the review server.
It is available at http://review.typo3.org/2414

#7 - 2011-06-08 10:05 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:250009a393d2cf7ea559e4e16e582ea8426ac39a.

#8 - 2012-01-20 14:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8261
